Bug 220539 - RFE: run ddclient as a dedicated user
RFE: run ddclient as a dedicated user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ddclient (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 18:03 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.7.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-03 03:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
specfile changes (2.82 KB, patch)
2007-01-16 21:44 EST, Josh Boyer
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-12-21 18:03:59 EST
ddclient currently runs as root.  I suppose it could be fairly easily be made to
run as a dedicated less privileged user?  See eg. the ez-ipupdate package for
examples.
Comment 1 Josh Boyer 2006-12-26 14:48:30 EST
(In reply to comment #0)
> ddclient currently runs as root.  I suppose it could be fairly easily be made to
> run as a dedicated less privileged user?  See eg. the ez-ipupdate package for
> examples.

Good idea.  I'll take a look at this shortly after I get back from vacation
Comment 2 Thomas Vander Stichele 2006-12-27 10:52:09 EST
Josh, if you feel like taking over this package, let me know
Comment 3 Josh Boyer 2007-01-06 16:30:44 EST
(In reply to comment #2)
> Josh, if you feel like taking over this package, let me know


Erm... I thought we had already agreed on that?  I took it right before FC-6
came out.  I'll forward you the email I have.
Comment 4 Josh Boyer 2007-01-16 21:44:34 EST
Created attachment 145768 [details]
specfile changes

Ok, I'm obviously missing something here.  I've created the dedicated ddclient
user, but I'm missing how to actually start the program as that user.  Help?
Comment 5 Ville Skyttä 2007-01-17 16:15:53 EST
Try "daemon --user ddclient $exec ..." in the init script.

By the way, it'll probably be necessary to do something about the PID file too
(eg. move to /var/run/ddclient/ddclient.pid and use "daemon --pidfile ..." in
the init script) - currently it's specified as pid=/var/run/ddclient.pid in the
config file but /var/run is not writable for non-root users.
Comment 6 Ville Skyttä 2007-03-03 03:39:16 EST
Done in upcoming 3.7.1-1

Note You need to log in before you can comment on or make changes to this bug.